## com.puppycrawl.tools.checkstyle.api
Interface Contextualizable

All Known Subinterfaces:
  FileSetCheck

All Known Implementing Classes:
  AbstractAccessControlNameCheck, AbstractClassCouplingCheck, AbstractClassNameCheck, AbstractComplexityCheck, AbstractFileSetCheck, AbstractFormatCheck, AbstractHeaderCheck, AbstractIllegalCheck, AbstractIllegalMethodCheck, AbstractNameCheck, AbstractNestedDepthCheck, AbstractOptionCheck, AbstractSuperCheck, AbstractTypeAwareCheck, AbstractTypeParameterNameCheck, AbstractViolationReporter, AnnotationUseStyleCheck, AnonInnerLengthCheck, ArrayTrailingCommaCheck, ArrayTypeStyleCheck, AutomaticBean, AvoidInlineConditionalsCheck, AvoidNestedBlocksCheck, AvoidStarImportCheck, AvoidStaticImportCheck, BooleanExpressionComplexityCheck, Check, Checker, ClassDataAbstractionCouplingCheck, ClassFanOutComplexityCheck, ClassTypeParameterNameCheck, ConstantNameCheck, CovariantEqualsCheck, CyclomaticComplexityCheck, DeclarationCollector, DeclarationOrderCheck, DefaultComesLastCheck, DefaultLogger, DescendantTokenCheck, DesignForExtensionCheck, DoubleCheckedLockingCheck, EmptyBlockCheck, EmptyForInitializerPadCheck, EmptyForIteratorPadCheck, EmptyStatementCheck, EqualsAvoidNullCheck, EqualsHashCodeCheck, ExecutableStatementCountCheck, ExplicitInitializationCheck, FallThroughCheck, FileContentsHolder, FileLengthCheck, FileTabCharacterCheck, FinalClassCheck, FinalLocalVariableCheck, FinalParametersCheck, GenericWhitespaceCheck, HeaderCheck, HiddenFieldCheck, HideUtilityClassConstructorCheck, IllegalCatchCheck, IllegalImportCheck, IllegalInstantiationCheck, IllegalThrowsCheck, IllegalTokenCheck, IllegalTokenTextCheck, IllegalTypeCheck, ImportControlCheck, ImportOrderCheck, IndentationCheck, InnerAssignmentCheck, InnerTypeLastCheck, InterfaceIsTypeCheck, JavadocMethodCheck, JavadocPackageCheck, JavadocStyleCheck, JavadocTypeCheck, JavadocVariableCheck, JavaNCSSCheck, JUnitTestCaseCheck, LeftCurlyCheck, LineLengthCheck, LocalFinalVariableNameCheck, LocalVariableNameCheck, MagicNumberCheck, MemberNameCheck, MethodCountCheck, MethodLengthCheck, MethodNameCheck, MethodParamPadCheck, MethodTypeParameterNameCheck, MissingCtorCheck, MissingDeprecatedCheck, MissingOverrideCheck, MissingSwitchDefaultCheck, ModifiedControlVariableCheck, ModifierOrderCheck, MultipleStringLiteralsCheck, MultipleVariableDeclarationsCheck, MutableExceptionCheck, NeedBracesCheck, NestedForDepthCheck, NestedIfDepthCheck, NestedTryDepthCheck, NewlineAtEndOfFileCheck, NoCloneCheck, NoFinalizerCheck, NoWhitespaceAfterCheck, NoWhitespaceBeforeCheck, NPathComplexityCheck, OneStatementPerLineCheck, OperatorWrapCheck, OuterTypeFilenameCheck, OuterTypeNumberCheck, PackageAnnotationCheck, PackageDeclarationCheck, PackageNameCheck, ParameterAssignmentCheck, ParameterNameCheck, ParameterNumberCheck, ParenPadCheck, RedundantImportCheck, RedundantModifierCheck, RedundantThrowsCheck, RegexpCheck, RegexpHeaderCheck, RegexpMultilineCheck, RegexpSinglelineCheck, RegexpSinglelineJavaCheck, RequireThisCheck, ReturnCountCheck, RightCurlyCheck, SeverityMatchFilter, SimplifyBooleanExpressionCheck, SimplifyBooleanReturnCheck, StaticVariableNameCheck, StrictDuplicateCodeCheck, StringLiteralEqualityCheck, SuperCloneCheck, SuperFinalizeCheck, SuppressionCommentFilter, SuppressionFilter, SuppressWarningsCheck, SuppressWithNearbyCommentFilter, ThrowsCountCheck, TodoCommentCheck, TrailingCommentCheck, TranslationCheck, TreeWalker, TypecastParenPadCheck, TypeNameCheck, UncommentedMainCheck, UnnecessaryParenthesesCheck, UnusedImportsCheck, UpperEllCheck, VisibilityModifierCheck, WhitespaceAfterCheck, WhitespaceAroundCheck, WriteTagCheck, XMLLogger

    public interface Contextualizable

A Component that needs context information from it's container to work. The container will create a Context object and pass it to this Contextualizable. Contextualization will occur before configuration. The general idea of Context/Contextualizable was taken from Jakarta's Avalon framework.

Author:
  lkuehne

Method Summary
`void` `contextualize(Context aContext)` Sets the context for this Component.

Method Detail

### contextualize

    void contextualize(Context aContext)
                       throws CheckstyleException

  Sets the context for this Component.

  Parameters:
    `aContext` - the context.
  Throws:
    `CheckstyleException` - if there is a contextualization error.

Copyright © 2001-2011. All Rights Reserved.